# -*- coding: utf-8 -*-
"""Служебные функции."""


def dequote(s):
    """
    Освобождение строки от апострофов или уавычек.

    Выполняется проверка того, что апострофы или кавычки парные.
    Если апострофы или кавыяке не парные, то возвращается исходная строка.
    """
    if (s is not None and len(s) > 1 and
            (s[0] == s[-1]) and s.startswith(("'", '"'))):
        return s[1:-1]
    return s
